Perspectives 4.3.5 Released!

Perspectives 4.3.5 has been released! This update contains a bug fix for querying untrusted certificates in Firefox 22 and later. We recommend everyone running newer versions of Firefox upgrade.

The update has been submitted to the Mozilla Addons site, and will be automatically published once it has been reviewed by the Addons team. You can also download it directly via this link.

If you have questions or comments feel free to leave a comment here or talk to us on the mailing list.

Advertisements

, ,

  1. #1 by Ladiela on August 31, 2013 - 8:02 am

    Hi
    Perspectives doesn’t play well with multiple tabs. For example if you open a site which generates an attack alert, and then go to a new tab before lookup is complete, then the warning will show on the new tab, and any action such as whitelisting takes the URL from the new tab, not the old one.

    • #2 by daveschaefer on September 1, 2013 - 9:35 pm

      Hey Ladiela, thanks for reporting this! I have created a bug on github so it’s easier to track – https://github.com/danwent/Perspectives/issues/85 . I’ll email you privately to follow up – if you’re able to tell me the specific site that causes this that would help a lot reproducing and fix it. Thanks!

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: